using System.Collections;
using System.Collections.Generic;

using Cysharp.Threading.Tasks;
using UnityEngine.SceneManagement;
using UnityEngine;

public class SceneLoadingService
{
    public async UniTask LoadSceneAsync(int index)
    {
        await SceneManager
            .LoadSceneAsync(index, LoadSceneMode.Single);
    }

    public async UniTask LoadSceneAsync(string name)
    {
        await SceneManager
            .LoadSceneAsync(name, LoadSceneMode.Single);
    }
}
